<nav class="navbar navbar-expand-md">
  <div class="container-lg">
    <a href="{{ '/' | url }}" class="navbar-brand me-auto ms-md-auto">
      <img src="{{ '/img/logo_solstice.svg' | url }}" class="logo img-fluid ms-n1 ms-md-0" alt="Solstice">
    </a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#nav" aria-controls="nav" aria-expanded="false" aria-label="Afficher la navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="navbar-collapse collapse" id="nav">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link {{ 'active' if page.url == '' }}" href="{{ '/' | url }}" {{ 'aria-current="page"' | safe if page.url == '' }} aria-label="Accueil">
            <i class="fas fa-home d-none d-md-inline" aria-hidden="true"></i>
            <span class="d-md-none">Accueil</span>
          </a>
        </li>
        {% set navPages = collections.all | eleventyNavigation('Accueil') | rejectattr('hidden') %}
        {% for nav in navPages %}
        <li class="nav-item">
          <a class="nav-link {{ 'active' if page.url.startsWith(nav.url) }}" href="{{ nav.url | url }}" {{ 'aria-current="page"' | safe if page.url.startsWith(nav.url) }}>
            {{ nav.title }}
          </a>
        </li>
        {% endfor %}
        <li class="nav-item">
          <a class="nav-link {{ 'active' if page.url.startsWith('/recherche') }}" href="{{ '/recherche/' | url }}" title="Recherche" {{ 'aria-current="page"' | safe if page.url.startsWith('/recherche') }}>
            <i class="fas fa-search d-none d-md-inline" aria-hidden="true"></i>
            <span class="d-md-none">Recherche</span>
          </a>
        </li>
    </div>
  </div>
</nav>
